/*
    schwingungen
    Copyright (C) 2003  Andreas Dangel <adabolo@adabolo.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef SCHWINGUNGEN_H
#define SCHWINGUNGEN_H

class SchwingungenApp : public wxApp {
  public:
    virtual bool OnInit();
    void Draw(wxDC& dc);
    void OnPaint(wxPaintEvent& event);
    void OnQuit(wxCommandEvent& event);
    void OnGenerator(wxCommandEvent &event);
    void OnPunktiert(wxCommandEvent &event);
    void OnParameter(wxCommandEvent &event);
    void OnSettingsOK(wxCommandEvent &event);
    void OnSettingsCancel(wxCommandEvent &event);
    void OnVerPlus(wxCommandEvent &event);
    void OnVerMinus(wxCommandEvent &event);
    void OnVerNix(wxCommandEvent &event);
    void OnSkala(wxCommandEvent &event);
    void OnSave(wxCommandEvent &event);

  private:
    wxFrame * frame;
    wxDialog * dialog;
    bool generator;
    bool punktiert;
    bool skala;

    struct {
      double l;
      double c;
      double r;
      double f;
      double u_1_dach;
      double delta_t;
      double verstaerkung;
      double start_t;
      double start_i;
      double start_q;
    } data;

};

DECLARE_APP(SchwingungenApp)

#endif SCHWINGUNGEN_H
